Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util
Class ImageSize

    java.lang.Object
      org.encog.util.ImageSize

All Implemented Interfaces:
  ImageObserver

    public class ImageSize

extends Object
implements ImageObserver

Simple class to determine the size of an image.

Author:
  jheaton

Field Summary

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImageSize(Image image)` Determine the size of an image.

Method Summary
`int` | `getHeight()`
`int` | `getWidth()`
`boolean` | `imageUpdate(Image img, int infoflags, int x, int y, int width, int height)` The image has been updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageSize

    public ImageSize(Image image)

  Determine the size of an image.

  Parameters:
    `image` - The image to be sized.

Method Detail

### getHeight

    public int getHeight()

  Returns:
    the height

### getWidth

    public int getWidth()

  Returns:
    the width

### imageUpdate

    public boolean imageUpdate(Image img,
                               int infoflags,
                               int x,
                               int y,
                               int width,
                               int height)

  The image has been updated.

  Specified by:
    `imageUpdate` in interface `ImageObserver`
  Parameters:
    `img` - The image.
    `infoflags` - Which data has been loaded.
    `x` - Not used.
    `y` - Not used.
    `width` - The width of the image.
    `height` - The height of the image.
  Returns:
    True if more data is still needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.